/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package IHM.Personnel;

import Metiers.GestionComptePersonnel;
import javax.swing.JOptionPane;

/**
 *
 * @author asus
 */
public class LoginPersonnel extends javax.swing.JPanel {

    JFPersonnel Jp;
    GestionComptePersonnel Gcp = new GestionComptePersonnel() ; 
    /**
     * Creates new form LoginPersonnel
     */
    public LoginPersonnel() {
        initComponents();
    }
    
    public LoginPersonnel(JFPersonnel Jp)
    {
        this.Jp = Jp ;
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        txtLogin = new javax.swing.JTextField();
        txtPwd = new javax.swing.JTextField();
        btnValider = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();

        setLayout(new java.awt.GridBagLayout());

        txtLogin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtLoginActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.ipadx = 294;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(120, 70, 0, 338);
        add(txtLogin, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.ipadx = 294;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(78, 70, 0, 338);
        add(txtPwd, gridBagConstraints);

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(68, 140, 151, 0);
        add(btnValider, gridBagConstraints);

        jLabel1.setText("Login");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.ipadx = 50;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(120, 310, 0, 0);
        add(jLabel1, gridBagConstraints);

        jLabel2.setText("Password");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(78, 310, 0, 0);
        add(jLabel2, gridBagConstraints);
    }// </editor-fold>//GEN-END:initComponents

    private void txtLoginActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtLoginActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtLoginActionPerformed

    private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
        // TODO add your handling code here:
        String Login = txtLogin.getText();
        String Pwd = txtPwd.getText();
        if(Gcp.authentification_Personnel(Login,Pwd)==true)
        {
            if (Gcp.Compte_actif(Login)==1)
            {  
                if(Gcp.Role_Personnel(Login).equalsIgnoreCase("gerant"))
                {
                    Jp.JPGer.setVisible(true);
                    
                    this.setVisible(false);
                }
                else if (Gcp.Role_Personnel(Login).equalsIgnoreCase("directeur"))
                {
                    Jp.JPDire.setVisible(true); 
                    this.setVisible(false);
                }
                else if (Gcp.Role_Personnel(Login).equalsIgnoreCase("receptionniste")) // receptionniste
                {
                    Jp.JPRecep.setVisible(true);
                    this.setVisible(false);
                }
                else
                {
                    JOptionPane.showMessageDialog(null, "Vous n'etes pas autorisée a avoir un compte !!!");
                }
            }
            else
            {
                JOptionPane.showMessageDialog(null, "Votre Compte est desactivée !!!");
            }
            
        }
        else {
        JOptionPane.showMessageDialog(null, "Données Invalides !!!");
        
        }
    }//GEN-LAST:event_btnValiderActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField txtLogin;
    private javax.swing.JTextField txtPwd;
    // End of variables declaration//GEN-END:variables
}
